***Public Opinion towards Return Migration - Stata Replication File***
*Qiuqing Tai, Ph.D. Candidate, Yale University Department of Political Science, qiuqing.tai@yale.edu*
*Rory Truex, Ph.D. Candidate, Yale University Department of Political Science, rory.truex@yale.edu*

***Load Data***
use "/Users/rorytruex/Dropbox/Perception on Migration Project (1)/qtai & rtruex - Public Opinion towards Return Migration - Replication Dataset.dta"

**Table 2: Determinants of Policy Support**

gen e2include=1
replace e2include=0 if e2package==5
replace e2include=0 if e2package==6

eststo clear
eststo: oprobit e2 e2benwages10 e2benwages30 e2benwages50 e2type_entprof if e2include==1, vce(robust) 
eststo: oprobit e2 e2benwages10 e2benwages30 e2benwages50 e2type_entprof status if e2include==1, vce(robust) 
eststo: oprobit e2 e2benwages10 e2benwages30 e2benwages50 e2type_entprof status lowed rural ccp female minority age married abroad if e2include==1, vce(robust) 
esttab using returnmigration.table2.tex, noobs se star(* 0.1 ** .05 *** .01)

**Simulations**

estsimp oprobit e2 e2benwages10 e2benwages30 e2benwages50 e2type_entprof status if e2include==1, vce(robust) 

*Low Ben, Nonstudent, High status*
setx e2benwages10 1 e2benwages30 0 e2benwages50 0 e2type_entprof 1 status 5
simqi, pr

*High Ben, Student, Low status*
setx e2benwages10 0 e2benwages30 0 e2benwages50 1 e2type_entprof 0 status 1
simqi, pr 

*High Ben, Nonstudent, High status*
setx e2benwages10 0 e2benwages30 0 e2benwages50 1 e2type_entprof 1 status 5
simqi, pr

**Table 3: Attitudes Towards Returning Migrants	- Target Beneficiary Priming**

ttest e3_1 if e2type~=".", by(e2type) unequal 
ttest e3_2 if e2type~=".", by(e2type) unequal 
ttest e3_3 if e2type~=".", by(e2type) unequal 
ttest e3_4 if e2type~=".", by(e2type) unequal 
ttest e3_5 if e2type~=".", by(e2type) unequal 
ttest e3_6 if e2type~=".", by(e2type) unequal 

**Table 4: Attitudes Towards Returning Migrants	- Respondent Status and Benefit Level Priming**

ttest e3_1 if e2type~=".", by(highstatus) unequal 
ttest e3_2 if e2type~=".", by(highstatus) unequal 
ttest e3_3 if e2type~=".", by(highstatus) unequal 
ttest e3_4 if e2type~=".", by(highstatus) unequal 
ttest e3_5 if e2type~=".", by(highstatus) unequal 
ttest e3_6 if e2type~=".", by(highstatus) unequal 

ttest e3_1 if e2type~=".", by(highben) unequal 
ttest e3_2 if e2type~=".", by(highben) unequal 
ttest e3_3 if e2type~=".", by(highben) unequal 
ttest e3_4 if e2type~=".", by(highben) unequal 
ttest e3_5 if e2type~=".", by(highben) unequal 
ttest e3_6 if e2type~=".", by(highben) unequal 
